× Login Checkout (0) Buy Free Trial Features Reviews Training Support PLUS Membership
☰ MENU

MEDIASHOUT 7 UPGRADE

$219

Standard Support Included: 30-Days of phone support. Ticket submission included until version is no longer supported.

For Continued Support, Monthly Media, & Training: Add a MediaShout Plus Membership. Only $17/month ($149/yearly).



MediaShout 7 is a powerful presentation software with tools designed for churches. Create song lyrics, liturgies, Bible verses, and announcement slides in minutes.

IMPORTANT:
Upgrade price available for MediaShout 6 customers only.

The field to the right will accept Version 4, 4.5 or 5 license codes, which begin with a "203200." However, these codes DO NOT qualify for an upgrade to MediaShout 7. Please ensure you enter a valid MediaShout *6* license code starting with "3555..." into the field to receive a working copy of MediaShout 7.

Note: When upgrading to version 7, you will no longer be able to activate MediaShout 6. Click here for further details.

Note: All sales are final.

MEDIASHOUT 7 UPGRADE

$219

Standard Support Included: 30-Days of phone support. Ticket submission included until version is no longer supported.

For Continued Support, Monthly Media, & Training: Add a MediaShout Plus Membership. Only $17/month ($149/yearly).

MediaShout 7 Upgrade

Availability: In stock

From: $219.00

To: $317.00


$

* Required Fields

Price as configured: $219.00

Windows System Requirements:

Valid and active MediaShout 6 license required to upgrade

Minimum (for building):
  • Windows 7 and later (64 bit)
  • Control screen needs to be 1366x768 or higher
  • Dedicated graphics card (Nvidia or AMD) w/512mb DDR3 VRAM (suggested cards)
  • Intel i3 Processor or better, running at least 2.0ghz
  • 4GB ram
Recommended (for building and playback):
  • Windows 10 (64 bit)
  • Control screen needs to be 1600x900 or higher
  • Dedicated graphics card (Nvidia or AMD) w/2GB DDR5 VRAM (suggested cards)
  • Intel i5 Processor or better, running at least 2.5ghz
  • 8GB ram

Mac System Requirements:

Not Yet Available
click here